package com.framework.app.http

/**
 * 文件基本信息
 */
data class FileInfo(
    val fileMd5: String,            // 文件MD5
    val fileName: String,           // 文件名
    val fileBucket: String = "adm", // 目前固定"adm"
    val fileSize: Int               // 文件大小
)

/**
 * 文件上传信息
 */
data class FileUploadInfo(
    val id: String,
    val uploadCode: Int,
    val content: List<FilePartInfo>? = null
)

/**
 * 文件上传分段信息和上传Url
 */
data class FilePartInfo(
    val partNumber: Int,
    val uploadUrl: String
)